import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  GetDeploymentInstanceInput,
  GetDeploymentInstanceOutput,
} from "../models/models_0";
export { __MetadataBearer };
export interface GetDeploymentInstanceCommandInput
  extends GetDeploymentInstanceInput {}
export interface GetDeploymentInstanceCommandOutput
  extends GetDeploymentInstanceOutput,
    __MetadataBearer {}
declare const GetDeploymentInstanceCommand_base: {
  new (
    input: GetDeploymentInstanceCommandInput
  ): import("@smithy/core/client").CommandImpl<
    GetDeploymentInstanceCommandInput,
    GetDeploymentInstanceCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  new (
    input: GetDeploymentInstanceCommandInput
  ): import("@smithy/core/client").CommandImpl<
    GetDeploymentInstanceCommandInput,
    GetDeploymentInstanceCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/types").EndpointParameterInstructions;
};
export declare class GetDeploymentInstanceCommand extends GetDeploymentInstanceCommand_base {
  protected static __types: {
    api: {
      input: GetDeploymentInstanceInput;
      output: GetDeploymentInstanceOutput;
    };
    sdk: {
      input: GetDeploymentInstanceCommandInput;
      output: GetDeploymentInstanceCommandOutput;
    };
  };
}
